<?php 
error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING ^ E_DEPRECATED); 
$rootPath = is_file("../../../../library/document.php") ? "../../../../" : "../../";
define("CMS", "korCMS");
session_set_cookie_params( null, null, null, false, true);
session_start();
include($rootPath."config/odyssey.ini.php");

if(isset($_GET['secure_protocol'])){
$protocol = ($_GET['secure_protocol'] == "1") ? "https" : "http";
}else{
$protocol = (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443) ? "https" : "http";
}

$domainPath = $protocol."://".$_SERVER['HTTP_HOST']."/";

function getFPath(){
	$parts = explode("/", $_SERVER["PHP_SELF"]);
	array_shift($parts); // the first element will be empty to we get rid of it
	array_pop($parts); // get rid of script name
	$fPath =implode("/", $parts);
	if(substr($fPath, -1) != "/") $fPath.="/";
	$fPath = ($fPath == "/") ? null : $fPath;	
	return $fPath;	
}

function getBase(){
	global $domain_name;
	if($_SERVER['SERVER_NAME'] == "localhost") return str_replace("localhost", NULL, $domain_name)."/";	
	global $domainPath;
	$www = preg_match('/^www/', $_SERVER['SERVER_NAME']) ? 'www.' : null;
	$parts = explode("/", $_SERVER["PHP_SELF"]);
	array_shift($parts); // the first element will be empty to we get rid of it
	array_pop($parts); // get rid of script name
	$fPath =implode("/", $parts);
	$newPath = $domainPath.$fPath;
	if(substr($newPath, -1) != "/") $newPath.="/";
	return $newPath; // for sef urls, must be a base tag in html HEAD with this value
}

function escapeJsonString($value) { # list from www.json.org: (\b backspace, \f formfeed)
    $escapers = array("\\", "/", "\"", "\n", "\r", "\t", "\x08", "\x0c");
    $replacements = array("\\\\", "\\/", "\\\"", "\\n", "\\r", "\\t", "\\f", "\\b");
    $result = str_replace($escapers, $replacements, $value);
    return $result;
}

include($rootPath."library/db.php");
include($rootPath."library/system.php");
include($rootPath."library/messages.php");
include($rootPath."library/variables.php");
include($rootPath."library/language.php");
include($rootPath."library/authentication.php");
include($rootPath."library/dates.php");
include($rootPath."library/parameters.php");
include($rootPath."library/content.php");
$db = new db();
$system = new system();
$messages = new messages();
$variables = new variables();
$language = new language();
$auth = new authentication(false);
$dates = new dates();
$parameters = new parameters();
$content = new content();
$db->query("SET NAMES 'utf8'");
$variables->getSafeVars(array_keys($_REQUEST));

function displayMessage($jsMessage){
	$jsMessage = escapeJsonString($jsMessage);
	echo '[{ "msg": "'.$jsMessage.'" }]';
	exit;
}
function t($key, $langID=NULL, $context=NULL){
	global $language;
	return $language->getText($key, $langID, $context);
}
if(!$langID) displayMessage("Language not defined");
if($action != "add" && $action != "get") displayMessage("Invalid action");
if($action == "add"){
	if(!isset($name) || !isset($message) || !isset($sectionID) || !isset($articleID) || !isset($userID)) displayMessage("Access Denied");
	if(empty($name)) displayMessage(t("Πρέπει να πληκτρολογήσετε το όνομά σας"));
	if(empty($message)) displayMessage(t("Πρέπει να πληκτρολογήσετε κάποιο μήνυμα"));
	if(empty($sectionID)) displayMessage("sectionID is empty");
	if(empty($articleID)) displayMessage("articleID is empty");
	if($useCaptcha){
		$_POST['security_code'] = strtoupper( $_POST['security_code']); // μονο κεφαλαια στο capcha
		if($_SESSION['security_code'] == $_POST['security_code'] && !empty($_SESSION['security_code'])) {
			unset($_SESSION['security_code']); // ολα ok με το captcha image
		}else{
			displayMessage(t("Ο κωδικός ταυτοποίησης που πληκτρολογήσατε δεν είναι σωστός"));
		}
	}
	
	// save comment	
	$nextID = ""; // do not remove!!!
	$published = time();	
	$name = str_replace("'", "&#039;", $name);		
	$title = $name." | ".$published." | published on ".$dates->makeDatefromTimestamp($published);
	$alias = $variables->toLatin($title);
	$body = preg_replace("/(^[\r\n]*|[\r\n]+)[\s\t]*[\r\n]+/", "\n", $message); // the comment without empty lines
	$body = str_replace("'", "&#039;", $body);		
	$active= (empty($saveAsInactive)) ? 1 : 0;
	$private=0;
	$sort=0;
	//displayMessage($active);
	$vars = array('nextID','active', 'private', 'sort', 'alias', 'userID', 'published', 'sectionID', 'articleID');
	$db->addRecord('comments', $vars);
	global $mainID;
	$mainID = $db->lastID();
	$vars = array('id', 'mainID', 'langID', 'title', 'body', 'name');
	$db->addRecord('content_comments', $vars);
	if($langID != "1"){ // add a greek record for greek version of admin
		$currentLangID = $langID;
		$langID = 1;
		$db->addRecord('content_comments', $vars);
		$langID = $currentLangID;
	}
								
	if($sendMail){
		global $domain_name; // get value from config ini
		global $email_address; // get value from config ini

		// mail headers
		$header = "Reply-To: $domain_name <".$email_address.">\n"; 
		$header .= "Return-Path: $domain_name <".$email_address.">\n"; 
		$header .= "From: $domain_name <".$email_address.">\n";
		$header .= "Organization: $domain_name\n"; 
		$header .= "Content-Type: text; charset=utf-8\n";

		
		$msg = null;
		$subject="A comment has published at ".$domain_name;
		$msg=t("Καταχωρήθηκαν τα ακόλουθα στοιχεία στη φόρμα σχολίων").":\n\n";
		$msg.=t("Όνομα").": ".$name."\n\n";
		$msg.=t("Σχόλιο").": \n".stripslashes($body)."\n\n";
		$msg.=t("Μπορείτε να διαχειριστείτε το σχόλιο αυτό στο")." ".$variables->makeURL($domain_name)."/admin/sections.php?action=form&section=comments&itemID=$mainID";
		@mail($email_address, $subject, $msg, $header);
	}
	if($saveAsInactive) {
		$saveMessage = "ok_inactive";
	}else{
		$saveMessage = "ok_active";
	}
	displayMessage($saveMessage);
}


if($action == "get"){
	$msg = "ok";
	$startrecord = (int)$startrecord;
	if(!$presults) $presults = $system->getPresults("comments");
	if(empty($presults)) displayMessage("pagination is empty");
	if(empty($articleID)) displayMessage("articleID is empty");
	$comments = $content->getContent("comments", " comments.articleID=".$articleID." ", "*", "*", $langID, " published desc LIMIT $startrecord, $presults");
	$json_result = '[ ';
	foreach($comments as $comment){
		$published = $dates->makeDateFromTimestamp($comment->published);
		$text = escapeJsonString($comment->body);
		$json_result.='{ "msg": "ok", "name": "'.$comment->name.'", "published": "'.$published.'", "text": "'.$text.'" }, ';
	}
	$json_result = substr($json_result ,0 ,-2); // remove trailing comma
	$json_result.=' ]';
	echo $json_result;		
}



?>