<?php 
error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING ^ E_DEPRECATED); 
$rootPath = is_file("../../../../library/document.php") ? "../../../../" : "../../";
define("CMS", "korCMS");
mb_internal_encoding("utf-8");
header('P3P:CP="IDC DSP COR ADM DEVi TAIi PSA PSD IVAi IVDi CONi HIS OUR IND CNT"');
include($rootPath."config/odyssey.ini.php");
include($rootPath."library/db.php");
include($rootPath."library/system.php");
include($rootPath."library/messages.php");
include($rootPath."library/variables.php");
include($rootPath."library/language.php");
include($rootPath."library/categories.php");
include($rootPath."library/fileSystem.php");
include($rootPath."library/content.php");
$db = new db();
$system = new system();
$messages = new messages();
$variables = new variables();
$language = new language();
$categories = new categories();
$fileSystem = new fileSystem();
$content = new content();
$langID = ($_GET['langID']) ? (int)$_GET['langID'] : $language->getDefaultLanguage();
$variables->getSafeVars(array_keys($_REQUEST));
if(empty($section)) die("section not defined");

function t($key, $langID=NULL, $context=NULL){ // shortcut of $language->getText($key, $langID=NULL, $context=NULL)
	global $language;
	global $langID;
	return $language->getText($key, $langID, $context);
}

function escapeJsonString($value) { # list from www.json.org: (\b backspace, \f formfeed)
    $escapers = array("\\", "/", "\"", "\n", "\r", "\t", "\x08", "\x0c");
    $replacements = array("\\\\", "\\/", "\\\"", "\\n", "\\r", "\\t", "\\f", "\\b");
    $result = str_replace($escapers, $replacements, $value);
    return $result;
}

function getFPath(){
	$parts = explode("/", $_SERVER["PHP_SELF"]);
	array_shift($parts); // the first element will be empty to we get rid of it
	array_pop($parts); // get rid of script name
	$fPath =implode("/", $parts);
	if(substr($fPath, -1) != "/") $fPath.="/";
	$fPath = ($fPath == "/") ? null : $fPath;	
	return $fPath;	
}

$db->query("SET NAMES 'utf8'");
$sectionID = $system->getTableSectionID($section);
$hasCategory = $system->getSectionProperty($section, "hasCategory") == "1";
$hasImages = $system->getSectionProperty($section, "hasAttachments") == "1";
$q = "select distinct s.id, s.lat, s.lng, cs.title";
if($hasCategory) $q.= ", s.catID";
if($system->isFieldNameExists("minitext", $sectionID)) $q.= ", cs.minitext";
$q.=" from $section as s, content_$section as cs where s.active=1 and s.id=cs.mainID and cs.langID='$langID' ";
if($latMin && $latMax && $lngMin && $lngMax){
	$q.="and (s.lng BETWEEN '$lngMin' and '$lngMax') and (s.lat BETWEEN '$latMin' and '$latMax')";
}
$records = $db->getRecords($q);
$json_result = '[ ';
foreach($records as $record){
	$image = NULL;
	$minitext = ($record->minitext) ? escapeJsonString($record->minitext) : NULL;
	if($hasImages){
		$defaultImage = $content->getImage($section, $record->id, $langID, 'default');
		if($defaultImage != ".") $image = ($defaultImage != ".") ? $defaultImage : $image;
	}
	$title = escapeJsonString($record->title);
	$categoryName = ($record->catID) ? $categories->getCategoryName($record->catID, "content_".$section."_categories", $langID) : NULL;
	$json_result.='{ "id": "'.$record->id.'", "lat": "'.$record->lat.'", "lng": "'.$record->lng.'", "categoryName": "'.$categoryName.'", "image": "'.$image.'", "minitext": "'.$minitext.'", "title": "'.$title.'" }, ';
}
if(count($records)) $json_result = substr($json_result ,0 ,-2); // remove trailing comma
$json_result.=' ]';

echo $json_result;	
?>
