<?php  
error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING ^ E_DEPRECATED); 
$rootPath = is_file("../../../../library/document.php") ? "../../../../" : "../../";
define("CMS", "korCMS");
$protocol = (!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' || $_SERVER['SERVER_PORT'] == 443) ? "https" : "http";
include($rootPath."config/odyssey.ini.php");
include($rootPath."library/db.php");
include($rootPath."library/system.php");
include($rootPath."library/messages.php");
include($rootPath."library/variables.php");
include($rootPath."library/language.php");
$db = new db();
$system = new system();
$messages = new messages();
$variables = new variables();
$language = new language();

$variables->getSafeVars(array('lat','lng'));
$langID = ((int)$_GET['langID']) ?(int)$_GET['langID'] : $language->getDefaultLanguage();
$defaultLAT = "37.98413";
$defaultLNG = "23.72808";
$defaultZOOM = 6;

$lat = ($lat) ? $lat: $defaultLAT;
$lng = ($lng) ? $lng: $defaultLNG;
$zoom = ($_GET['zoom']) ? (int)$_GET['zoom']: $defaultZOOM;

function t($key, $langID=NULL, $context=NULL){ // shortcut of $language->getText($key, $langID=NULL, $context=NULL)
	global $language;
	return $language->getText($key, $langID=NULL, $context=NULL);
}
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="shortcut icon" href="favicon.ico">
<style  type="text/css">
body{
color: #fff;
background: #272727 url(images/blank.gif);
padding:20px;
font-family: Verdana ; 
font-size:11px;
}
#results a{
	color:orange;
}
#results a:hover{
	color:white;
}
</style>
<script src="<?php echo $protocol;?>://maps.google.com/maps/api/js?sensor=false<?php if($langID==1){echo "&amp;language=el";}?>" type="text/javascript"></script>
<script type="text/javascript">
function initializeMap() {
var lat = (parent.document.getElementById('lat').value) ? parent.document.getElementById('lat').value : <?php echo $lat; ?>;
var lng = (parent.document.getElementById('lng').value) ? parent.document.getElementById('lng').value : <?php echo $lng; ?>;
var zoom = (parent.document.getElementById('zoom').value) ? parent.document.getElementById('zoom').value : <?php echo $zoom; ?>;
var markersArray = [];
  var myOptions = {
    zoom: parseInt(zoom),
    center: new google.maps.LatLng(lat, lng),
    mapTypeControl: true,
    mapTypeControlOptions: {
      style: google.maps.MapTypeControlStyle.DROPDOWN_MENU
    },
    navigationControl: true,
    navigationControlOptions: {
      style: google.maps.NavigationControlStyle.SMALL
    },
    mapTypeId: google.maps.MapTypeId.ROADMAP
  }
var map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
window.theMap=map;
<?php 
if($lat && $lng && $zoom){
$markerSet = true;
if(($lat == $defaultLAT) && ($lng == $defaultLNG)) {$markerSet = false;}

?>
function setDefaultMarker(){
	var theLocation = new google.maps.LatLng(lat,lng);
  var marker = new google.maps.Marker({
      position: theLocation, 
      map: map
  });
markersArray.push(marker);
map.setCenter(theLocation);
}
setDefaultMarker();
<?php 
}
?>
  google.maps.event.addListener(map, 'click', function(event) {
    placeMarker(event.latLng);
  });
  
function placeMarker(location) {
if (location) {
deleteOverlays(); // custom function
  var marker = new google.maps.Marker({
      position: location, 
      map: map
  });
markersArray.push(marker);
setTimeout (function(){
if(confirm("<?php echo t("Θέλετε να αποθηκευτεί το επιλεγμένο σημείο;");?>")){
parent.document.getElementById('lat').value= location.lat().toFixed(5);
parent.document.getElementById('lng').value= location.lng().toFixed(5);
var zoom= map.getZoom(); 
parent.document.getElementById('zoom').value=zoom;
parent.document.getElementById('mapInfo').innerHTML = "<?php echo t("Έχουν επιλεγεί οι κάτωθι συντεταγμένες");?>:<br><?php echo t("Γεωγραφικό μήκος");?>: "+location.lng().toFixed(5)+"<br><?php echo t("Γεωγραφικό πλάτος");?>: "+location.lat().toFixed(5)+"<br>Zoom Level:"+zoom;
parent.$.fancybox.close();
}else{
deleteOverlays();
<?php
if($markerSet){
?>
setDefaultMarker();
<?php 
}
?>
}
}, 100);


}
}

function deleteOverlays() {
  if (markersArray) {
    for (i in markersArray) {
      markersArray[i].setMap(null);
    }
    markersArray.length = 0;
  }
}


} // end map


function restoreLocation(){
parent.document.getElementById('lat').value = "<?php echo $lat; ?>";
parent.document.getElementById('lng').value = "<?php echo $lng; ?>";
parent.document.getElementById('zoom').value = "<?php echo $zoom; ?>";
parent.document.getElementById('mapInfo').innerHTML = "<?php echo t("Οι συντεταγμένες επανήλθαν στις αρχικές τιμές");?>:<br><?php echo t("Γεωγραφικό μήκος");?>: <?php echo $lng; ?><br><?php echo t("Γεωγραφικό πλάτος");?>: <?php echo $lat; ?><br>Zoom Level: <?php echo $zoom; ?>";
parent.$.fancybox.close();
}


function submitSearchForm(){
document.getElementById('results').innerHTML ="<div style=' text-align:center'><img src='images/loader.gif' alt='loading data'><br><br></div>";
geocoder = new google.maps.Geocoder();
var address = document.getElementById("address").value;
geocoder.geocode( { 'address': address}, function(results, status) {
	if (status == google.maps.GeocoderStatus.OK) {
		if(results.length == 1){
			pos = results[0].geometry.location;
			window.theMap.setCenter(pos);
			if(window.tempMarker){window.tempMarker.setMap(null);}
			var marker = new google.maps.Marker({
			map: window.theMap,
			position: pos
			});
			window.tempMarker = marker;
			document.getElementById('results').innerHTML ="";
			setTimeout (function(){
				if(confirm("<?php echo t('Θέλετε να αποθηκευτεί το επιλεγμένο σημείο;');?>")){
					parent.document.getElementById('lat').value= pos.lat().toFixed(5);
					parent.document.getElementById('lng').value= pos.lng().toFixed(5);
					var zoom= window.theMap.getZoom(); 
					parent.document.getElementById('zoom').value=zoom;
					var mapLink = parent.document.getElementById('mapLink');
					if(mapLink != null) {
						mapLink.href="gmap.php?zoom=" + zoom + "&lat=" + pos.lat().toFixed(5) + "&lng=" + pos.lng().toFixed(5);
					}
					parent.document.getElementById('mapInfo').innerHTML = "<?php echo t("Έχουν επιλεγεί οι κάτωθι συντεταγμένες");?>:<br><?php echo t("Γεωγραφικό μήκος");?>: "+pos.lng().toFixed(5)+"<br><?php echo t("Γεωγραφικό πλάτος");?>: "+pos.lat().toFixed(5)+"<br>Zoom Level:"+zoom;
					parent.$.fancybox.close();
				}else{
					window.tempMarker.setMap(null);
				}
			},1000);
		}else{ // βρέθηκαν περισσότερα σημεία
			document.getElementById('results').innerHTML ="<div style='font-size:11px; font-weight:bold; margin: 0 0 5px 0'><?php echo t("Αποτελέσματα αναζήτησης");?>:</div>";			
			for(var i=0; i<results.length; i++){
				place = results[i].formatted_address;
				lat = results[i].geometry.location.lat();
				lng = results[i].geometry.location.lng();
				document.getElementById('results').innerHTML+="<a href='javascript:showOnMap("+lat+", "+lng+", \""+place.replace(/, Ελλάς/i, "")+"\")' class='dark_link' style='display:block'>"+place.replace(/, Ελλάς/i, "")+"</a>";
			}		      
		}
	} else {
		document.getElementById('results').innerHTML ="<?php echo t("Δεν αναγνωρίστηκε η διεύθυνση. Παρακαλούμε δοκιμάστε ξανά...");?>";
		window.tempMarker.setMap(null);
	}
});	
}



function showOnMap(lat, lng, place){
point = new google.maps.LatLng(lat, lng);
window.theMap.setCenter(point);
if(window.tempMarker){window.tempMarker.setMap(null);}
var marker = new google.maps.Marker({
    map: window.theMap,
    position: point
});
window.tempMarker = marker;
window.location.href="#";
setTimeout(function(){
if(confirm("<?php echo t('Θέλετε να αποθηκευτεί το επιλεγμένο σημείο;');?>")){
parent.document.getElementById('lat').value= lat.toFixed(5);
parent.document.getElementById('lng').value= lng.toFixed(5);
var zoom= window.theMap.getZoom(); 
parent.document.getElementById('zoom').value=zoom;
var mapLink = parent.document.getElementById('mapLink');
if(mapLink != null) {
	mapLink.href="gmap.php?zoom=" + zoom + "&lat=" + lat.toFixed(5) + "&lng=" + lng.toFixed(5);
}
parent.document.getElementById('mapInfo').innerHTML = "<?php echo t("Έχουν επιλεγεί οι κάτωθι συντεταγμένες");?>:<br><?php echo t("Γεωγραφικό μήκος");?>: "+lng.toFixed(5)+"<br><?php echo t("Γεωγραφικό πλάτος");?>: "+lat.toFixed(5)+"<br>Zoom Level:"+zoom;
parent.$.fancybox.close();
}else{marker.setMap(null);}	
}, 1000);
}

function resetMap(){
	parent.document.getElementById('lat').value= <?php echo $defaultLAT;?>;
	parent.document.getElementById('lng').value= <?php echo $defaultLNG;?>;
	var zoom= <?php echo $defaultZOOM;?>;
	parent.document.getElementById('zoom').value=zoom;
	parent.document.getElementById('mapInfo').innerHTML = "<?php echo t("Ο γεωγραφικός προσδιορισμός ακυρώθηκε");?>";
	parent.$.fancybox.close();
}



    </script>
</head>
<body onload="initializeMap()">
<div style="border: solid 1px white;height: 370px;">
<div id="map_canvas" style="width: 100%; height: 370px"></div>
</div>
<div id="bottom" style="margin-top:10px">
<?php echo t("Εντοπίστε το σημείο που επιθυμείτε στο χάρτη και κάντε κλικ");?>.<br>
<?php echo t("Αν θέλετε να ακυρώσετε τον χάρτη, πατήστε");?> <a href="javascript:void(0)" onclick="resetMap()" style="color:orange"><?php echo t("εδώ");?></a>
<br>
<br>

<?php echo t("Εναλλακτικά μπορείτε να εισάγετε την διεύθυνση που αναζητάτε και θα γίνει προσπάθεια για αυτόματο εντοπισμό της στον χάρτη").":";?>
</div>
<input name="address" type="text" class="textbox" style="margin-top: 10px; width:300px" id="address" onchange="submitSearchForm()">
<div id="results" style="margin:20px"></div>

</body>
</html>
